org.apache.cassandra.config

## Class EncryptionOptions.ServerEncryptionOptions

- java.lang.Object
- - org.apache.cassandra.config.EncryptionOptions
  - - org.apache.cassandra.config.EncryptionOptions.ServerEncryptionOptions

Enclosing class:
  EncryptionOptions

    public static class EncryptionOptions.ServerEncryptionOptions
    extends EncryptionOptions

### Nested Class Summary

Nested Classes
`static class` `EncryptionOptions.ServerEncryptionOptions.InternodeEncryption`

### Nested classes/interfaces inherited from class org.apache.cassandra.config.EncryptionOptions

`EncryptionOptions.ClientEncryptionOptions, EncryptionOptions.ServerEncryptionOptions`

### Field Summary

Fields
`EncryptionOptions.ServerEncryptionOptions.InternodeEncryption` `internode_encryption`

### Fields inherited from class org.apache.cassandra.config.EncryptionOptions

`algorithm, cipher_suites, keystore, keystore_password, protocol, require_client_auth, store_type, truststore, truststore_password`

### Constructor Summary

Constructors
Constructor and Description
`ServerEncryptionOptions()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### internode_encryption

    public EncryptionOptions.ServerEncryptionOptions.InternodeEncryption internode_encryption

### Constructor Detail

#### ServerEncryptionOptions

    public ServerEncryptionOptions()